Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-4223

Feature camel-spring security does not install spring-security-config bundle

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: jboss-fuse-6.2.1
    • Fix Version/s: jboss-fuse-6.3
    • Component/s: Camel
    • Labels:
    • Sprint:
      6.3 Sprint 4 (Mar 28 - Apr 29)
    • Steps to Reproduce:
      Hide
      features:install camel-spring-security
      list -t 0 -l | grep spring-security-config
      
      Show
      features:install camel-spring-security list -t 0 -l | grep spring-security-config

      Description

      Bundle spring-security-config containing namespace handlers for spring security cannot be installed. Bundle requires some other bundles, e.g. 'spring-security-aspects'. Therefore we cannot use it in camel.

      org.springframework.beans.factory.parsing.BeanDefinitionParsingException:
      Configuration problem: Unable to locate Spring NamespaceHandler for XML
      schema namespace [http://www.springframework.org/schema/security]
      Offending resource: OSGi resource[classpath:META-INF/spring/commonSecurity.xml|bnd.id=277|bnd.sym=org.jboss.qe.camel.components.spring-security-test]
      

      As we provide camel-spring-security feature we should fix it.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  lburgazzoli Luca Burgazzoli
                  Reporter:
                  mbasovni Martin Basovnik
                  Tester:
                  Martin Basovnik
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: